<?php
if (!defined("_ECRIRE_INC_VERSION")) return;

function auteurs_complets_declarer_champs_extras($champs = array()){
	$champs[] = new ChampExtra(array(
		'table' => 'auteurs', // sur quelle table ?
		'champ' => 'extras_civilite', // nom sql
		'label' => 'auteurs_complets:civilite', // chaine de langue 'mon_plug:mon_label'
		'precisions' => 'auteurs_complets:civilite_precisions', // precisions sur le champ
		'obligatoire' => false, // 'true', 'false' ou ''
		'rechercher' => false, // 'false', 'true' ou directement la valeur de ponderation (de 1 a 8 generalement)
		'enum' => "1,M.\n2,Mle\n3,Mme", // les 'cles,valeurs' sont doivent etre separe par '\n'
		'type' => 'menu-enum', // type de saisie
		'sql' => "tinytext NOT NULL DEFAULT ''", // declaration sql
	));
	$champs[] = new ChampExtra(array(
		'table' => 'auteurs', // sur quelle table ?
		'champ' => 'extras_prenom', // nom sql
		'label' => 'auteurs_complets:prenom', // chaine de langue 'mon_plug:mon_label'
		'precisions' => 'auteurs_complets:prenom_precisions', // precisions sur le champ
		'obligatoire' => false, // 'true', 'false' ou ''
		'rechercher' => false, // 'false', 'true' ou directement la valeur de ponderation (de 1 a 8 generalement)
		'type' => 'ligne', // type de saisie
		'sql' => "tinytext NOT NULL DEFAULT ''", // declaration sql
	));
	$champs[] = new ChampExtra(array(
		'table' => 'auteurs', // sur quelle table ?
		'champ' => 'extras_nom', // nom sql
		'label' => 'auteurs_complets:nom', // chaine de langue 'mon_plug:mon_label'
		'precisions' => 'auteurs_complets:nom_precisions', // precisions sur le champ
		'obligatoire' => false, // 'true', 'false' ou ''
		'rechercher' => false, // false, ou true ou directement la valeur de ponderation (de 1 a 8 generalement)
		'type' => 'ligne', // type de saisie
		'sql' => "tinytext NOT NULL DEFAULT ''", // declaration sql
	));
	$champs[] = new ChampExtra(array(
		'table' => 'auteurs', // sur quelle table ?
		'champ' => 'extras_tel_fixe', // nom sql
		'label' => 'auteurs_complets:tel_fixe', // chaine de langue 'mon_plug:mon_label'
		'precisions' => 'auteurs_complets:tel_fixe_precisions', // precisions sur le champ
		'obligatoire' => false, // 'true', 'false' ou ''
		'rechercher' => false, // false, ou true ou directement la valeur de ponderation (de 1 a 8 generalement)
		'type' => 'ligne', // type de saisie
		'sql' => "varchar(10) NOT NULL DEFAULT ''", // declaration sql
	));
	$champs[] = new ChampExtra(array(
		'table' => 'auteurs', // sur quelle table ?
		'champ' => 'extras_tel_mob', // nom sql
		'label' => 'auteurs_complets:tel_mob', // chaine de langue 'mon_plug:mon_label'
		'precisions' => 'auteurs_complets:tel_mob_precisions', // precisions sur le champ
		'obligatoire' => false, // 'true', 'false' ou ''
		'rechercher' => false, // false, ou true ou directement la valeur de ponderation (de 1 a 8 generalement)
		'type' => 'ligne', // type de saisie
		'sql' => "varchar(10) NOT NULL DEFAULT ''", // declaration sql
	));
	return $champs;
}

?>
